# Submits payments for an account. The AccountNumber MUST be owned by the company and in an account group that the user has access to. Endpoint: POST /api/v3/payments/{companyId} Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `companyId` (string, required) ## Request fields (application/json-patch+json): - `messageId` (string, required) - `accountNumber` (string, required) - `singlePayments` (boolean) Always send single payments to creditor. This will not work with credit notes. - `paymentLines` (array, required) - `paymentLines.paymentMethod` (integer) PaymentMethod * 1 - Transfer * 2 - Inter company Enum: 1, 2 - `paymentLines.priority` (integer) Priority * 1 - Normal * 2 - High * 3 - Faster payments Enum: 1, 2, 3 - `paymentLines.paymentPurpose` (integer) PaymentPurpose * 1 - Bonus * 2 - Salary * 3 - Pension * 4 - Tax * 5 - Intra company Enum: 1, 2, 3, 4, 5 - `paymentLines.executionDate` (string, required) - `paymentLines.sourceReference` (string, required) Original ERP-system reference - `paymentLines.regulatoryReportingCode` (integer) Declaration code - `paymentLines.regulatoryReportingInfo` (string,null) Declaration text - `paymentLines.amount` (number, required) Invoice amount. Creditnotes are accepted - `paymentLines.currency` (string, required) Invoice amount currency - `paymentLines.structuredReference` (string,null) KID, FIK, OCR, Creditor reference - `paymentLines.invoiceNo` (string,null) Invoice number - `paymentLines.description` (string,null) Invoice message - `paymentLines.statementMessage` (string,null) If present, can be used for text on beneficiary's statement of account - `paymentLines.creditor` (object, required) - `paymentLines.creditor.name` (string, required) Receiver name - `paymentLines.creditor.countryCode` (string, required) Receiver country code - `paymentLines.creditor.accountNumber` (string, required) Receiver account number - `paymentLines.creditor.bic` (string,null) Receiver BIC-/SWIFT code - `paymentLines.creditor.accountType` (integer, required) AccountType * 0 - BBAN * 1 - IBAN * 2 - Plus girot * 3 - Bank girot * 4 - Giro konto Enum: 0, 1, 2, 3, 4 - `paymentLines.creditor.bankCode` (string,null) Clearing system bank code (Sort code, fedwire code, routing number). Normally used outside EU - `paymentLines.creditor.bankCountryCode` (string,null) Creditors bank country code - `paymentLines.creditor.address` (string,null) Address line 1 of receiver - `paymentLines.creditor.address2` (string,null) Address line 2 of receiver - `paymentLines.creditor.address3` (string,null) Address line 3 of receiver - `paymentLines.creditor.zipCode` (string,null) Post code of receiver - `paymentLines.creditor.zipArea` (string,null) Post Area of receiver